package com.crm.ucard.dao.repository;

import com.crm.rely.backend.core.pojo.table.ucard.UcardWalletTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;

@Repository
public interface UcardWalletRepository extends BaseRepository<UcardWalletTable> {

    UcardWalletTable getFirstByCId(Long cId);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    UcardWalletTable findFirstByCId(Long cId);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    UcardWalletTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    UcardWalletTable getFirstByUniqueId(String uniqueId);
}
